## ros-iron-grid-map-msgs 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(grid_map_msgs)

find_package(ament_cmake REQUIRED)
find_package(grid_map_cmake_helpers REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

grid_map_package()

#######################################
## Declare ROS messages and services ##
#######################################

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/GridMapInfo.msg"
  "msg/GridMap.msg"
  "srv/SetGridMap.srv"
  "srv/GetGridMap.srv"
  "srv/GetGridMapInfo.srv"
  "srv/ProcessFile.srv"
  DEPENDENCIES std_msgs geometry_msgs
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-iron-grid-map-msgs (2.1.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 07 Nov 2022 15:00:00 -0000

ros-iron-grid-map-msgs (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 port
  * Contributors: Steve Macenski

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 12 Sep 2022 15:00:00 -0000

ros-iron-grid-map-msgs (1.6.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 15:00:00 -0000

ros-iron-grid-map-msgs (1.6.1-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/master' into fix/melodic
  * Merge pull request #198 <https://github.com/ANYbotics/grid_map/issues/198> from ANYbotics/feature/extend_process_file_srv
    Extend ProcessFile.srv to include topic_name field.
  * Restore single topic_name field, as discussed with Peter.
  * Update ProcessFile.srv
  * Extend ProcessFile.srv to include topic_name field.
  * Updated author e-mail address.
  * Contributors: Marco Tranzatto, MarcoSuetterlin, Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 15:00:00 -0000

ros-iron-grid-map-msgs (1.6.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 15:00:00 -0000

ros-iron-grid-map-msgs (1.5.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-msgs (1.5.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-msgs (1.5.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 15:00:00 -0000

ros-iron-grid-map-msgs (1.4.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-iron-grid-map-msgs (1.4.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.4.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.3.3-1jammy) jammy; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.3.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.3.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.3.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.2.0-1jammy) jammy; urgency=high

  * [grid_map_msgs] package exports
  * Contributors: Daniel Stonier

 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 02 Mar 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.1.3-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.1.2-1jammy) jammy; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.1.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.1.0-1jammy) jammy; urgency=high

  * added new srv definition for processing of grid map files
  * general improvements and bugfixes

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 07 Jan 2016 15:00:00 -0000

ros-iron-grid-map-msgs (1.0.0-1jammy) jammy; urgency=high

  * release for Springer ROS Book Chapter

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 19 Nov 2015 15:00:00 -0000

=== debian/control ===
Source: ros-iron-grid-map-msgs
Section: misc
Priority: optional
Maintainer: Maximilian Wulf <mwulf@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-geometry-msgs, ros-iron-grid-map-cmake-helpers, ros-iron-rclcpp, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-iron-grid-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-geometry-msgs, ros-iron-rclcpp, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Definition of the multi-layered grid map message type.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-grid-map-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
